Skip to content
Baremetrics

List Plans

GET https://api.baremetrics.com/v1/{source_id}/plans

Path parameters

  • source_id string required

    Please see Sources

Query parameters

  • search string

    Allows you to search based on the name or oid fields

Responses

200OK
{
  "plans": [
    {
      "oid": "plan_1",
      "source_id": "123",
      "source": "baremetrics",
      "name": "Plan 1",
      "interval": "year",
      "interval_count": 1,
      "trial_duration": null,
      "trial_duration_unit": null,
      "created": null,
      "active": true,
      "setup_fees": 0,
      "amounts": [
        {
          "currency": "USD",
          "symbol": "$",
          "symbol_right": false,
          "amount": 450000
        }
      ]
    },
    {
      "oid": "plan_2",
      "source_id": "123",
      "source": "baremetrics",
      "name": "Plan 2",
      "interval": "year",
      "interval_count": 1,
      "trial_duration": null,
      "trial_duration_unit": null,
      "created": null,
      "active": true,
      "setup_fees": 0,
      "amounts": [
        {
          "currency": "USD",
          "symbol": "$",
          "symbol_right": false,
          "amount": 450000
        }
      ]
    }
  ]
}
400Bad Request
{}